# This is an example gnujsp properties file
#
# It's origin is with the INSTALL.apache document in the gnujsp-1.0.0
# distribution, but is hacked for automagic installation on FreeBSD by
# girgen@partitur.se
#
# To get started, first set up apache with jserv to function properly,
# then add the following to your apache.conf:
#
#   ApJServAction .jsp /gnujsp/gnujsp
#   ApJServMount /gnujsp /gnujsp
#
# and add the zone gnujsp to your jserv configuration:
#   zones=gnujsp
#   gnujsp.properties=%%PREFIX%%/etc/apache/gnujsp.properties
#
# Last, create a scratch directory for gnujsp, writable by your web
# server userid (usually 'nobody'). The default directory path is
# %%PREFIX%%/www/gnujsp

# List of Repositories
#######################

repositories=%%PREFIX%%/share/java/classes/gnujsp10.jar
repositories=%%PREFIX%%/share/java/classes/servlet-2.0-plus.jar
#repositories=/home/heyl/lib/java/Acme.jar
#repositories=/usr/local/webl-3.0/lib/WebL.jar

# Classloader parameters
#########################

autoreload.classes=true

# Enable servlet resourced autoreloading (properties and other 
# loaded resources)
autoreload.file=true


# Servlet Aliases
##################
# Note: if using webl or Acme stuff, add the jars here too
# if you added them to the repositories above (alph)
# In my real settings I added: usepackages=true,language=de,country=de
# but I guess you may prefer the default locale :-) (alph)

servlet.gnujsp.code=org.gjt.jsp.JspServlet
servlet.gnujsp.initArgs=checkclass=true,pagebase=%%PREFIX%%/www/data,scratchdir=%%PREFIX%%/www/gnujsp,debug=true,compiler=builtin-javac -classpath %classpath%:%scratchdir%:%%PREFIX%%/share/java/classes/gnujsp10.jar:%%PREFIX%%/share/java/classes/servlet-2.0-plus.jar -d %scratchdir% -deprecation %source%
